# H248_ObservedEvent Class Reference

`#include <h248.h>`

Inheritance diagram for H248_ObservedEvent:

List of all members.

## Public Types

enum | OptionalFields { e_streamID, e_timeNotation }

## Public Member Functions

| H248_ObservedEvent (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H248_EventName | m_eventName
H248_StreamID | m_streamID
H248_ArrayOf_EventParameter | m_eventParList
H248_TimeNotation | m_timeNotation

## Member Enumeration Documentation

enum H248_ObservedEvent::OptionalFields

Enumerator:

  e_streamID |
  e_timeNotation |

## Constructor & Destructor Documentation

H248_ObservedEvent::H248_ObservedEvent | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H248_ObservedEvent::GetDataLength | ( |  | ) | const

PBoolean H248_ObservedEvent::Decode | ( | PASN_Stream & | strm | ) |

void H248_ObservedEvent::Encode | ( | PASN_Stream & | strm | ) | const

void H248_ObservedEvent::PrintOn | ( | ostream & | strm | ) | const

Comparison H248_ObservedEvent::Compare | ( | const PObject & | obj | ) | const

PObject* H248_ObservedEvent::Clone | ( |  | ) | const

## Member Data Documentation

H248_EventName H248_ObservedEvent::m_eventName

H248_StreamID H248_ObservedEvent::m_streamID

H248_ArrayOf_EventParameter H248_ObservedEvent::m_eventParList

H248_TimeNotation H248_ObservedEvent::m_timeNotation

The documentation for this class was generated from the following file:

- h248.h